<template>
  <article class="grid">
    <div>
      <base-scroll-animation :type="'fade'" :duration="1000" :once="true">
        <template v-slot:animate>
          <h3>
            <knockout-text v-for="(item, i) in press" :key="i">
              <template v-slot:default>
                <span v-html="item.title"></span>
              </template>
            </knockout-text>
          </h3>
        </template>
      </base-scroll-animation>
    </div>
    <div>
      <base-scroll-animation
        :type="'fade'"
        :duration="1250"
        :delay="250"
        :once="true"
      >
        <template v-slot:animate>
          <ul class="flex is-direction:column">
            <link-list v-for="(link, i) in pressLinks" :key="i">
              <template v-slot:default>
                <a
                  v-if="link.url"
                  :href="'//' + link.url"
                  class="site-link has-underline hover:white"
                >
                  {{ link.title }}
                </a>
                <span v-else class="site-link">
                  {{ link.title }}
                </span>
              </template>
            </link-list>
          </ul>
        </template>
      </base-scroll-animation>
    </div>
  </article>
  <article class="grid">
    <div>
      <base-scroll-animation :type="'fade'" :duration="1000" :once="true">
        <template v-slot:animate>
          <knockout-text v-for="(item, i) in amx" :key="i">
            <template v-slot:default>
              <span :class="[item.styles]" v-html="item.title"></span>
            </template>
          </knockout-text>
        </template>
      </base-scroll-animation>
    </div>
    <div>
      <base-scroll-animation
        :type="'fade'"
        :duration="1250"
        :delay="250"
        :once="true"
      >
        <template v-slot:animate>
          <ul class="flex is-direction:column">
            <link-list v-for="(link, i) in amxLinks" :key="i">
              <template v-slot:default>
                <a
                  v-if="link.url"
                  :href="'//' + link.url"
                  class="site-link has-underline hover:white"
                >
                  {{ link.title }}
                </a>
                <!-- <span v-else class="site-link">{{ link.title }}</span> -->
              </template>
            </link-list>
          </ul>
        </template>
      </base-scroll-animation>
    </div>
  </article>
</template>

<script>
import LinkList from "../Copy/LinkList.vue";
import KnockoutText from "../Headings/KnockoutText.vue";
export default {
  components: {
    LinkList,
    KnockoutText
  },

  data() {
    return {
      press: [
        {
          title: `
        PR<span class="-salt">E</span>SS
        `
        },
        {
          title: `
        PR<span class="-salt">E</span>SS
        `
        },
        {
          title: `
        PR<span class="-salt">E</span>SS
        `
        },
        {
          title: `
        PR<span class="-salt">E</span>SS
        `
        }
      ],
      pressLinks: [
        {
          title: "The Rose Book",
          url: "lllbooks.com/products/the-rose-book"
        },
        {
          title: "The bird Book",
          url: "lllbooks.com/products/the-bird-book?_pos=1&_sid=862942a6a&_ss=r"
        },
        {
          title: "The skull Book",
          url:
            "lllbooks.com/products/the-skull-book?_pos=4&_sid=26869b97b&_ss=r"
        },
        {
          title: "The Girl Book",
          url: "lllbooks.com/products/the-girl-book?_pos=1&_sid=26e3acec1&_ss=r"
        },
        {
          title: "The Cat Book",
          url: "/lllbooks.com/products/the-cat-book?_pos=1&_sid=b3190c6df&_ss=r"
        },
        {
          title: "Black Top Tattooing"
          // url: "placeholder.com"
        },
        {
          title: "Lost Art"
          // url: "placeholder.com"
        },
        {
          title: "TTT: Tattoo",
          url: "amazon.com/TTT-Tattoo-Maxime-Bu-chi/dp/1786270757"
        },
        {
          title: "Our Tattoos"
          // url: "placeholder.com"
        },
        {
          title: "Ripper Magazine",
          url: "rollermagazine.com/en"
        },
        {
          title: "TTISM",
          url: "tttism.com/"
        }
      ],
      amx: [
        {
          title: `
        <span class="-ss02">A</span>M<span class="alt-letter">X</span>
        `
        },
        {
          title: `
        <span class="-ss02">A</span>M<span class="alt-letter">X</span>
        `
        },
        {
          title: `
        <span class="-ss02">A</span>M<span class="alt-letter">X</span>
        `
        },
        {
          title: `
        <span class="-ss02">A</span>M<span class="alt-letter">X</span>
        `
        }
      ],
      amxLinks: [
        {
          title: "19 Crimes",
          url: "www.instagram.com/p/BYE1RE1Awsy/?igshid=rfb9ml7kjhzz"
        },
        {
          title: "Clocks and Colours panthera",
          url: "www.clocksandcolours.com/collections/all/products/panthera"
        },
        {
          title: "Clocks and Colours poison",
          url: "www.clocksandcolours.com/collections/all/products/poison"
        },
        {
          title: "Few & Far Collective",
          url: "fewandfarco.com/collections/austin-maples-store"
        },
        {
          title: "Red Temple Prayer Jesus 1",
          url: "www.instagram.com/p/BLDzi2gAejy/"
        },
        {
          title: "Red Temple Prayer Jesus 2",
          url: "www.instagram.com/p/BNoetGDgnKW/"
        }
      ]
    };
  }
};
</script>

<style lang="css">
.alt-letter {
  padding-left: 1.6rem;
}
</style>

<style lang="scss" scoped>
@import "~@/assets/scss/config/_variables.scss";
.grid {
  grid-template-columns: auto;
  // padding-top: 3.85rem;
  padding-top: 4.48rem;
  &:first-of-type {
    padding-top: 3.85rem;
  }
  @media all and (min-width: 768px) {
    // padding-top: 11rem;
    grid-template-columns: 38vw 1fr;
  }
  @media all and (min-width: 1025px) {
    padding-top: 11rem;
    grid-template-columns: 32.5rem 1fr;
  }
  @media all and (min-width: 1920px) {
    grid-template-columns: 36rem 1fr;
  }

  & > div:nth-child(1) {
    margin-bottom: 2rem;
    @media all and (min-width: 600px) {
      margin-bottom: 7rem;
    }
  }
}

ul {
  max-width: 44rem;
}
li {
  margin-bottom: 0;

  @media all and (min-width: 600px) {
    margin-bottom: 2px;
  }
}
</style>
